<?php

class BlockPSELiveZilla extends Module
{
	private $_html;

  public function __construct()
  {
    $this->name = 'blockpselivezilla';
    $this->tab = 'PShopExpert';
    $this->version = '1.0';
    parent::__construct();
		$this->page = basename(__FILE__, '.php');
		if (Configuration::get('PS_PSE_LIVEZILLA')=='')
			$this->warning = $this->l('You have not yet configured your LiveZilla!');
    $this->displayName = $this->l('PSE LiveZilla Block');
    $this->description = $this->l('Adds a block with a live support chat connected to your LiveZilla server');
   }

  public function install()
  {
  	Configuration::updateValue('PS_PSE_LIVEZILLA','');
 		if (!parent::install() OR !$this->registerHook('leftColumn'))
			return false;
		return true;
  }

  public function uninstall()
  {
 		if (!Configuration::deleteByName('PS_PSE_LIVEZILLA') OR !parent::uninstall())
			return false;
		return true;
  }

  public function getContent()
  {
		if(isset($_POST['btnSubmit']))
			$this->_postProcess();
  	$this->_displayForm();
  	return $this->_html;
  }

	private function _displayForm()
	{
		$this->_html .=
		'<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset>
			<legend><img src="'._MODULE_DIR_.$this->page.'/logo.gif" />'.$this->l('Your LiveZilla live support').'</legend>
					<span>'.$this->l('Place the LiveZilla code here').'</span><br /><br />
					<textarea name="livezillacode" id="livezillacode" cols="80" rows="7">'.Configuration::get('PS_PSE_LIVEZILLA').'</textarea>
						<br />
						<input type="submit" name="btnSubmit" class="button" value="'.$this->l('Update').'">
			</fieldset>
			<br />
			<br />
			<fieldset>
			<legend><img src="'._MODULE_DIR_.$this->page.'/help.png" />'.$this->l('Help').'</legend>
			<span>'.$this->l('Live support application by').'</span> <b><a href="http://www.livezilla.net" target="_blank">LiveZilla</a></b>
			<br />
			<br />
			<span>'.$this->l('Powered by').'</span> <b><a href="http://www.pshopexpert.com" target="_blank">PShopExpert</a></b>';
		$lastversion=file_get_contents('http://www.pshopexpert.com/getversion.php?p='.$this->name);
		if ($lastversion!='0'){
			$lv=split('\.',$lastversion);
			$v=split('\.',$this->version);
			if (($lv[0] > $v[0]) OR ($lv[0] == $v[0] AND $lv[1] > $v[1]))
				$this->_html .='
				<br />
				<br />
				<span style="color:red">'.$this->l('New version available on PShopExpert.com! Go to').' <b><a href="http://www.pshopexpert.com" target="_blank">PShopExpert.com</a></b></span>
				';
		}
		$this->_html .='
			</fieldset>
		</form>
		';
	}

	private function _postProcess()
	{
		if(isset($_POST['livezillacode'])){
			if (Configuration::updateValue('PS_PSE_LIVEZILLA',Tools::getValue('livezillacode'),true))
		 		$this->_html .= '<div class="conf confirm">'.$this->l('LiveZilla code updated').'</div>';
		 }
	}

  function hookLeftColumn($params)
  {
		global $smarty, $cookie;
		$smarty->assign('livezillacode', Configuration::get('PS_PSE_LIVEZILLA'));
		return $this->display(__FILE__, 'blockpselivezilla.tpl');
	}

	function hookRightColumn($params)
	{
		return $this->hookLeftColumn($params);
	}
}

?>
